<template>
  <view>
  </view>
</template>
<script>
import {mapState} from "vuex";

export default {
  data() {
    return {}
  },
  computed: {
      ...mapState({
          user: (state)=>{
              return {
                  UserId: state.userData.UserId,
                  UserName: state.userData.UserName,
                  Membership_Phone: state.userData.Membership_Phone,
                  Membership_Id: state.userData.Membership_Id,
                  Membership_Type: state.userData.Membership_Type
              }
          },
          toDoMsg: (state)=>{
              return state.toDoMsg
          },
          menus: (state)=> {
              return state.userData.AuthorityInfo
          }
      }),
  },
  onLoad(){
      if (this.menus['d55da792-5edc-4b73-8635-07246121157f']===1){
          this.$util.toNextRoute('redirectTo', "/pages/businessApproval/newApproval")
      }else{
          this.$util.toNextRoute('redirectTo', "/pages/businessApproval/businessApproval")
      }
  },
  methods:{

  }
}
</script>


<style scoped>

</style>
